summaryrefslogtreecommitdiffstats
path: root/vim
diff options
context:
space:
mode:
Diffstat (limited to 'vim')
-rw-r--r--vim/fetch_patches.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/vim/fetch_patches.sh b/vim/fetch_patches.sh
index 41b8564..bff2e1e 100644
--- a/vim/fetch_patches.sh
+++ b/vim/fetch_patches.sh
@@ -54,9 +54,9 @@ get_patches() {
IFS=$_OLDIFS
rm MD5SUMS
cd ${startdir}/src/vim$(echo ${_srcver} | sed "s/\.//")
- for _patch in $(/bin/ls ${_patchdir}); do
- patch -Np0 -i ${_patchdir}/${_patch} || return 1
- done
+ for _patchnum in $(seq -w 1 ${_patchlevel} ); do
+ patch -Np0 -i ${_patchdir}/${_srcver}.${_patchnum} || return 1
+ done
rm -rf ${_patchdir}
return 0
}